aboutsummaryrefslogtreecommitdiff
path: root/test/leakcheck.sh
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2023-07-16 02:03:33 +0200
committerToni Uhlig <matzeton@googlemail.com>2023-07-16 02:03:33 +0200
commit5a40295c4cf0af5ea8da9ced04a4ce7d3621a080 (patch)
treecb21506e7b04d10b45d6066a0ee1655563d5d52b /test/leakcheck.sh
Squashed 'flatcc/' content from commit 473da2a
git-subtree-dir: flatcc git-subtree-split: 473da2afa5ca435363f8c5e6569167aee6bc31c5
Diffstat (limited to 'test/leakcheck.sh')
-rwxr-xr-xtest/leakcheck.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test/leakcheck.sh b/test/leakcheck.sh
new file mode 100755
index 0000000..e77705d
--- /dev/null
+++ b/test/leakcheck.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+set -e
+../build.sh
+cd `dirname $0`/..
+mkdir -p build/tmp/leakcheck
+valgrind --leak-check=yes \
+ bin/flatcc_d -a -o build/tmp/leakcheck --prefix zzz --common-prefix hello \
+ test/monster_test/monster_test.fbs